/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * OrganizationSuggestion
 */

public class OrganizationSuggestion {
  @JsonProperty("acronym")
  private String acronym = null;

  @JsonProperty("id")
  private String id = null;

  @JsonProperty("image_url")
  private String imageUrl = null;

  @JsonProperty("name")
  private String name = null;

  @JsonProperty("page")
  private String page = null;

  @JsonProperty("score")
  private BigDecimal score = null;

  @JsonProperty("slug")
  private String slug = null;

   /**
   * The organization acronym
   * @return acronym
  **/
  @ApiModelProperty(value = "The organization acronym")
  public String getAcronym() {
    return acronym;
  }

   /**
   * The organization identifier
   * @return id
  **/
  @ApiModelProperty(value = "The organization identifier")
  public String getId() {
    return id;
  }

   /**
   * The organization logo URL
   * @return imageUrl
  **/
  @ApiModelProperty(value = "The organization logo URL")
  public String getImageUrl() {
    return imageUrl;
  }

   /**
   * The organization name
   * @return name
  **/
  @ApiModelProperty(value = "The organization name")
  public String getName() {
    return name;
  }

   /**
   * The organization web page URL
   * @return page
  **/
  @ApiModelProperty(value = "The organization web page URL")
  public String getPage() {
    return page;
  }

   /**
   * The internal match score
   * @return score
  **/
  @ApiModelProperty(value = "The internal match score")
  public BigDecimal getScore() {
    return score;
  }

   /**
   * The organization permalink string
   * @return slug
  **/
  @ApiModelProperty(value = "The organization permalink string")
  public String getSlug() {
    return slug;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OrganizationSuggestion organizationSuggestion = (OrganizationSuggestion) o;
    return Objects.equals(this.acronym, organizationSuggestion.acronym) &&
        Objects.equals(this.id, organizationSuggestion.id) &&
        Objects.equals(this.imageUrl, organizationSuggestion.imageUrl) &&
        Objects.equals(this.name, organizationSuggestion.name) &&
        Objects.equals(this.page, organizationSuggestion.page) &&
        Objects.equals(this.score, organizationSuggestion.score) &&
        Objects.equals(this.slug, organizationSuggestion.slug);
  }

  @Override
  public int hashCode() {
    return Objects.hash(acronym, id, imageUrl, name, page, score, slug);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OrganizationSuggestion {\n");

    sb.append("    acronym: ").append(toIndentedString(acronym)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    imageUrl: ").append(toIndentedString(imageUrl)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    page: ").append(toIndentedString(page)).append("\n");
    sb.append("    score: ").append(toIndentedString(score)).append("\n");
    sb.append("    slug: ").append(toIndentedString(slug)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

